%define _python_bytecompile_errors_terminate_build 0

Name:          bakefile
Version:       0.2.12.1
Release:       %mkrel 3
Summary:       Cross-platform makefiles generator
License:       MIT
Group:         Development/Tools
URL:           http://www.bakefile.org
Source0:       https://github.com/vslavik/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:        bakefile-0.2.9-datadir-location.patch
Patch1:        bakefile-py3-wip.patch
BuildRequires: pkgconfig(python3)
BuildRequires: swig

%description
Bakefile is a makefiles generator that generates native makefiles for
many Unix and Windows compilers.

%prep
%setup -q
%autopatch -p1

# make automake happy
touch ChangeLog

%build
autoreconf -vfi
pushd src
  swig -python bkl_c.i
popd
%configure \
	--enable-maintainer-mode \
        --libdir=%{python3_sitelib}

%make_build -j1

%install
%make_install

# python shebangs
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{python3_sitelib}/bakefile/

%files
%doc README THANKS AUTHORS NEWS doc/html
%{_bindir}/*
%{_datadir}/bakefile/
%{python3_sitelib}/bakefile/
%{_datadir}/aclocal/*.m4
%{_mandir}/man?/*


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0.2.12.1-3.mga9
+ Revision: 1827799
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 mrambo3501 <mrambo3501> 0.2.12.1-2.mga9
+ Revision: 1774140
- rebuild for python-3.10

* Thu Mar 18 2021 wally <wally> 0.2.12.1-1.mga9
+ Revision: 1704414
- new version 0.2.12.1
- rebuild for python 3.9

* Mon Feb 24 2020 daviddavid <daviddavid> 0.2.11-2.mga8
+ Revision: 1549768
- switch to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Mar 15 2019 shlomif <shlomif> 0.2.11-1.mga7
+ Revision: 1377626
- New version 0.2.11 - thanks to fedora

* Fri Sep 21 2018 umeabot <umeabot> 0.2.9-12.mga7
+ Revision: 1295255
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.2.9-11.mga7
+ Revision: 1234098
- fix build on aarch64

* Fri Feb 05 2016 umeabot <umeabot> 0.2.9-10.mga6
+ Revision: 939343
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.9-9.mga5
+ Revision: 741506
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.2.9-8.mga5
+ Revision: 693476
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.2.9-7.mga5
+ Revision: 678102
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.2.9-6.mga5
+ Revision: 628113
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.2.9-5.mga4
+ Revision: 502993
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.2.9-4.mga3
+ Revision: 346834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.2.9-3.mga3
+ Revision: 336607
- move python files to %%python_sitelib
- clean .spec a bit

* Sun Oct 28 2012 shlomif <shlomif> 0.2.9-2.mga3
+ Revision: 311006
- Fix group and add a missing article. Thanks barjac and malo.

* Sun Oct 28 2012 shlomif <shlomif> 0.2.9-1.mga3
+ Revision: 310988
- Add mkrel
- Importing based on the tarball .spec

